import store from '../store'
import sensors from "sa-sdk-javascript";
import {
    addRecord
} from '../api/index'

import sdk from './buriedPoint'

const loginClick = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    addRecord({
        userid: user.userid,
        accessResource: "发起登录",
        channelKey: channel.channelKey,
        eventType: '7',
        fromSource: fromSource,
        productId: sp.id,
        anonymousId: sensors.store._state.$device_id,
        testId: store.state.testId,
        testGroupId: store.state.testGroupId,
        tid: store.state.tid
    });
    if (store.state.global.sensors === 0) {
        sensors.track("clickLogin");
    }

};

const loginSuccess = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    addRecord({
        userid: user.userid,
        accessResource: "登录成功",
        channelKey: channel.channelKey,
        eventType: '8',
        fromSource: fromSource,
        productId: sp.id,
        anonymousId: sensors.store._state.$device_id,
        testId: store.state.testId,
        testGroupId: store.state.testGroupId,
        tid: store.state.tid
    });
    if (store.state.global.sensors === 0) {
        sensors.login(user.phone)
        sensors.track("loginSuccess");
    }
    if (store.state.global.js === 0) {
        if (store.state.global.point === 0) {
            VuePageVisitor.setMp(user.phone);
        }
    }



};

const showSP = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let form = localStorage.getItem('beCome')
    let fromSource = form ? form : '订购页'
    addRecord({
        userid: user.userid,
        accessResource: "商品浏览",
        channelKey: channel.channelKey,
        eventType: '0',
        fromSource: fromSource,
        productId: sp.id,
        anonymousId: sensors.store._state.$device_id,
        testId: store.state.testId,
        testGroupId: store.state.testGroupId,
        tid: store.state.tid
    });
    if (store.state.global.sensors === 0) {
        sensors.track("lookSp", {
            attr4: sp.spid,
            attr5: sp.productName,
            attr6: sp.originalPrice,
        });
    }
};

const buyClick = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "点击订购",
            channelKey: channel.channelKey,
            eventType: '1',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("clickBuy", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice,
            });
        }
        if (store.state.global.js === 0) {
            if (store.state.global.point === 0) {
                for (let i = 0; i < sdk.length; i++) {
                    if (sdk[i].spid === sp.spid) {
                        WoAnalytics.addPoint({
                            ad: sdk[i].appid,
                            ett: "点击",
                            ea: "点击订购"
                        })
                    }
                }
            }
        }
    }, 100)



}

const buySuccess = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "订购成功",
            channelKey: channel.channelKey,
            eventType: '3',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("buySuccess", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice,
            });
        }
    }, 500)

}

const buyFail = (response) => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    addRecord({
        userid: user.userid,
        accessResource: "订购失败",
        channelKey: channel.channelKey,
        eventType: '4',
        fromSource: fromSource,
        productId: sp.id,
        anonymousId: sensors.store._state.$device_id,
        testId: store.state.testId,
        testGroupId: store.state.testGroupId,
        tid: store.state.tid
    });
    if (store.state.global.sensors === 0) {
        sensors.track("buyFail", {
            attr4: sp.spid,
            attr5: sp.productName,
            attr6: sp.originalPrice,
            attr7: response.message
        });
    }
}

const getToken = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "认证成功",
            channelKey: channel.channelKey,
            eventType: '2',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("getToken", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice
            });
        }
    }, 300)

}

const unBuyClick = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "点击退订",
            channelKey: channel.channelKey,
            eventType: '5',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("clickUnBuy", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice,
            });
        }
        if (store.state.global.js === 0) {
            if (store.state.global.point === 0) {
                for (let i = 0; i < sdk.length; i++) {
                    if (sdk[i].spid === sp.spid) {
                        WoAnalytics.addPoint({
                            ad: sdk[i].appid,
                            ett: "点击",
                            ea: "点击退订"
                        })
                    }
                }
            }
        }
    }, 300)



}

const unBuySuccess = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')

    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "退订成功",
            channelKey: channel.channelKey,
            eventType: '6',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("unBuySuccess", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice,
            });
        }
    }, 300)

}

const unBuyFail = (response) => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "退订失败",
            channelKey: channel.channelKey,
            eventType: '13',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("unBuyFail", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice,
                attr7: response.message
            });
        }
    }, 300)

}

const memberClick = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "会员领取",
            channelKey: channel.channelKey,
            eventType: '9',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("memberReceive", {
                attr4: sp.productName,
                attr5: sp.spid
            });
        }
        if (store.state.global.js === 0) {
            if (store.state.global.point === 0) {
                for (let i = 0; i < sdk.length; i++) {
                    if (sdk[i].spid === sp.spid) {
                        WoAnalytics.addPoint({
                            ad: sdk[i].appid,
                            ett: "点击",
                            ea: "点击领取会员"
                        })
                    }
                }
            }
        }
    }, 300)

}

const memberSuccess = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "领取成功",
            channelKey: channel.channelKey,
            eventType: '10',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("memberSuccess", {
                attr4: sp.productName,
                attr5: sp.spid
            });
        }
    }, 300)

}

const memberFail = (response) => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "领取失败",
            channelKey: channel.channelKey,
            eventType: '11',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("memberFail", {
                attr4: sp.productName,
                attr5: sp.spid,
                attr6: response.message
            });
        }
    }, 300)

}

const clickBlindBox = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
        addRecord({
            userid: user.userid,
            accessResource: "点击盲盒",
            channelKey: channel.channelKey,
            eventType: '12',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("clickBlindBox", {
                attr5: sp.spid,
                attr4: sp.productName,
            });
        }
}

const pageBrowseTime = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    let duration = localStorage.getItem('duration')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "页面浏览时长",
            channelKey: channel.channelKey,
            eventType: '14',
            fromSource: fromSource,
            productId: sp.id,
            duration: duration,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("pageStay", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice,
                attr7: duration,
            });
        }
        if (store.state.global.js === 0) {
            if (store.state.global.point === 0) {
                for (let i = 0; i < sdk.length; i++) {
                    if (sdk[i].spid === sp.spid) {
                        WoAnalytics.addPoint({
                            ad: sdk[i].appid,
                            ett: "停留时常",
                            ea: "页面浏览时长(首页)",
                            dr: duration
                        })
                        WoAnalytics.addPoint({
                            ad: sdk[i].appid,
                            ett: "关闭",
                            ea: "pageClose"
                        })
                    }
                }
            }
        }
    }, 300)



}
const clickBanner = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "点击banner",
            channelKey: channel.channelKey,
            eventType: '15',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("clickBanner", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice
            });
        }
    }, 300)

}
const explainBrowseTime = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    let ruleTime = localStorage.getItem('ruleTime')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "产品说明浏览时长",
            channelKey: channel.channelKey,
            eventType: '16',
            fromSource: fromSource,
            productId: sp.id,
            duration: ruleTime,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("explainStay", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice,
                attr7: ruleTime,
            });
        }
        if (store.state.global.js === 0) {
            if (store.state.global.point === 0) {
                for (let i = 0; i < sdk.length; i++) {
                    if (sdk[i].spid === sp.spid) {
                        WoAnalytics.addPoint({
                            ad: sdk[i].appid,
                            ett: "停留时常",
                            ea: "页面浏览时长(产品说明页面)",
                            dr: ruleTime
                        })
                    }
                }
            }
        }
    }, 300)
}
const clickOrderRecord = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
        addRecord({
            userid: user.userid,
            accessResource: "点击订购记录",
            channelKey: channel.channelKey,
            eventType: '17',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("searchOrderRecord", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice
            });
        }
}
const clcikReceive = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "点击领取话费",
            channelKey: channel.channelKey,
            eventType: '18',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("clickGivecharge", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice
            });
        }
    }, 300)

}
const clickFollow = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    setTimeout(() => {
        addRecord({
            userid: user.userid,
            accessResource: "点击关注公众号",
            channelKey: channel.channelKey,
            eventType: '19',
            fromSource: fromSource,
            productId: sp.id,
            anonymousId: sensors.store._state.$device_id,
            testId: store.state.testId,
            testGroupId: store.state.testGroupId,
            tid: store.state.tid
        });
        if (store.state.global.sensors === 0) {
            sensors.track("clickFollow", {
                attr4: sp.spid,
                attr5: sp.productName,
                attr6: sp.originalPrice
            });
        }
    }, 300)

}
const clickRecommend = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    addRecord({
        userid: user.userid,
        accessResource: "点击推荐",
        channelKey: channel.channelKey,
        eventType: '20',
        fromSource: fromSource,
        productId: sp.id,
        anonymousId: sensors.store._state.$device_id,
        testId: store.state.testId,
        testGroupId: store.state.testGroupId,
        tid: store.state.tid
    });
    if (store.state.global.sensors === 0) {
        sensors.track("clickRecommend", {
            attr4: sp.spid,
            attr5: sp.productName,
            attr6: sp.originalPrice
        });
    }
}
const clickUnsubscribe = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    addRecord({
        userid: user.userid,
        accessResource: "点击确定",
        channelKey: channel.channelKey,
        eventType: '21',
        fromSource: fromSource,
        productId: sp.id,
        anonymousId: sensors.store._state.$device_id,
        testId: store.state.testId,
        testGroupId: store.state.testGroupId,
        tid: store.state.tid
    });
    if (store.state.global.sensors === 0) {
        sensors.track("clickUnsubscribe", {
            attr4: sp.spid,
            attr5: sp.productName,
            attr6: sp.originalPrice
        });
    }
}
const clickUnsubscribeGo = () => {
    let channel = store.state.pageData.channl
    let user = store.state.user
    let sp = store.state.pageData.mainProduct;
    let fromSource = localStorage.getItem('beCome')
    addRecord({
        userid: user.userid,
        accessResource: "点击去看看",
        channelKey: channel.channelKey,
        eventType: '22',
        fromSource: fromSource,
        productId: sp.id,
        anonymousId: sensors.store._state.$device_id,
        testId: store.state.testId,
        testGroupId: store.state.testGroupId,
        tid: store.state.tid
    });
    if (store.state.global.sensors === 0) {
        sensors.track("clickUnsubscribeGo", {
            attr4: sp.spid,
            attr5: sp.productName,
            attr6: sp.originalPrice
        });
    }
}

//打开页面
const openPage = () => {
    let sp = store.state.pageData.mainProduct;
    let phone = store.state.user.phone
    if (store.state.global.js === 0) {
        if (store.state.global.point === 0) {
            if (phone) VuePageVisitor.setMp(phone);
            sdk.forEach(val => {
                if (sp.spid === val.spid) {
                    WoAnalytics.addPoint({
                        ad: val.appid,
                        ett: "打开",
                        ea: "pageOpen"
                    }).then(res => {
                        localStorage.setItem('pageOpenTime', new Date())
                    })
                }
            })
        }
    }


}

export default {
    loginSuccess,
    showSP,
    loginClick,
    buyClick,
    buySuccess,
    buyFail,
    getToken,
    unBuyClick,
    unBuySuccess,
    unBuyFail,
    memberClick,
    memberSuccess,
    memberFail,
    clickBlindBox,
    pageBrowseTime,
    explainBrowseTime,
    clickBanner,
    clickOrderRecord,
    clcikReceive,
    clickFollow,
    clickRecommend,
    clickUnsubscribe,
    clickUnsubscribeGo,
    // closePage,
    openPage
}
