import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

let now = Date.now()
let past = parseInt(localStorage.getItem('past') || 0)
let userid = '',
  phone = ''
if (now - past < 24 * 60 * 60 * 1000) {
  userid = localStorage.getItem('userid')
  phone = localStorage.getItem('phone')
}
export default new Vuex.Store({
  state: {
    user: {
      userid,
      phone,
    },
    pageData: {},
    modelName: '',
    tempName: "loading",
    testId: null,
    testGroupId: null,
    tid: null,
    global: {}
  },
  mutations: {
    setUser(state, payload) {
      if (payload.userid) {
        if (payload.userid === 'undefined') return false
        localStorage.setItem('userid', payload.userid)
        localStorage.setItem('past', Date.now())
      }
      if (payload.phone) {
        localStorage.setItem('phone', payload.phone)
        localStorage.setItem('past', Date.now())
      }
      state.user = Object.assign({}, state.user, payload)
    },
    setPageData(state, payload) {
      state.pageData = Object.assign({}, state.pageData, payload)
    },
    setGlobal(state, global) {
      state.global = global
    },
    setTempName(state, val) {
      state.tempName = val;
    },
    setTestId(state, val) {
      state.testId = val;
    },
    setTestGroupId(state, val) {
      state.testGroupId = val;
    },
    setTid(state, val) {
      state.tid = val;
    },
    // proChange(state, payload) {
    //   let name = ''
    //   if (payload.spid === "101") {
    //     name = 'sum210705-youku'
    //   } else if (payload.spid === "1018") {
    //     name = 'sum210705-iqy'
    //   }
    //   state.modelName = name
    // }
  },
  actions: {},
  modules: {},
})